Skip to content

Prices at a time

Prices of tokens at given times. HTTP: /prices/at, with each query as at=<token>:<timestamp_millis>, comma-separated.

Param Description
queries Required. 1 to 100 of { "token": "wrap.near", "timestamp_millis": 1700000000000 }

The result is { "height", "timestamp_millis", "prices" }, with a price for each query, in the same order:

  • the last price_usd recorded at or before that time;
  • "0" before the token’s first price;
  • null for a token that doesn’t exist.
GET https://api.intea.rs/prices/at?at=wrap.near:1790000000000,nope.near:1790000000000
{ "height": 219969969, "timestamp_millis": 1792003920726, "prices": ["4.09120729524754110510152690375", null] }